/*
 * @Description: 
 * @Author: ymgu
 * @Date: 2022-08-30 14:26:43
 * @LastEditTime: 2022-09-07 11:13:51
 * @LastEditors:  
 */
import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import ElementUI from 'element-ui'
import './assets/styles/element-variables.scss'

import './assets/styles/index.scss'
import './assets/styles/theme/red.scss'
import './assets/styles/theme/orange.scss'
import './assets/styles/theme/purple.scss'
// 导入阿里适量图标
import './assets/iconfont/iconfont.css'
import './assets/font2/iconfont1.js'
import './assets/font1/iconfont.css'
import './assets/font2/iconfont.css'
import Reload from '@/components/reload/Reload'
import Pagination from '@/components/pagination/Pagination'
import jshint from 'jshint'
window.JSHINT = jshint.JSHINT
Vue.use(ElementUI, { size: 'mini', zIndex: 3000 })

Vue.component('Reload', Reload)
Vue.component('Pagination', Pagination)

Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
